.joinUs{

    .joinUs-header-section{
        padding: 150px 5% 300px;
        text-align: center;
        position: relative;

        &::before {
            top: unset;
            bottom: 150px;
            width: 100%;
            left: 50%;
            transform: translateX(-50%);
        }

        .joinus-backgournd {
            position: absolute;
            top: -50%;
            width: 100%;
            max-width: 900px;
            left: 50%;
            transform: translateX(-50%);
            z-index: 0;
        }

        .joinUs-title {
            font-size: 45px;
            font-weight: 600;
            color: #fff;
            margin: 0 0 10px;
            display: inline-block;
            border-bottom: 3px solid $pink;
        }

        .joinUs-desc {
            font-size: 16px;
            color: #d1d1d1;
            margin: 20px auto 10px;
            border-bottom: $pink;
            max-width: 460px;
        }
    }

    .joinUs-form-section {
        padding: 150px 5% 100px;

        .joinUs-form-box {
            width: 80%;
            max-width: 500px;
            border-radius: 15px;
            box-shadow: -20px 20px 40px rgba($dark-gray, 0.1);
            margin: -350px auto 0;
            background-color: $light-gray;
            padding: 50px 5% 50px;
            text-align: center;
        }

        .joinUs-form {

            .form-container{
                margin-bottom: 30px;
            }

            .form-label {
                display: block;
                text-align: center;
                font-size: 14px;
                margin-bottom: 10px;
                color: $dark-gray;
            }

            .form-input {
                display: block;
                width: 100%;
                max-width: 300px;
                background-color: #fff;
                border-radius: 5px;
                padding: 10px 15px;
                text-align: left;
                font-size: 14px;
                color: $dark-gray;
                border: none;
                outline: none;
                margin: 0 auto;
                font-style: italic;

                &::placeholder {
                    /* Chrome, Firefox, Opera, Safari 10.1+ */
                    color: $light-gray;
                    font-size: 14px;
                }
                  
                &:-ms-input-placeholder {
                    /* Internet Explorer 10-11 */
                    color: $light-gray;
                    font-size: 14px;
                }
                  
                &::-ms-input-placeholder {
                    /* Microsoft Edge */
                    color: $light-gray;
                    font-size: 14px;
                }
            }

            .checkbox-container {
                @include flex(space-around, center);
                flex-wrap: wrap;
                max-width: 300px;
                margin: 0 auto;
            }

            .position {
                position: relative;
                width: 47%;
                margin-bottom: 10px;
                -webkit-user-select: none;
                -moz-user-select: none;
                -ms-user-select: none;
                user-select: none;

                .position-checkbox {
                    position: absolute;
                    opacity: 0;
                    cursor: pointer;
                    height: 0;
                    width: 0;
                }

                .position-label {
                    display: block;
                    width: 100%;
                    padding: 10px;
                    text-align: center;
                    background: #fff;
                    color: $dark-gray;
                    font-size: 16px;
                    border-radius: 5px;
                    transition: all 0.2s linear;
                    cursor: pointer;
                }
                  
                &:hover .position-checkbox ~ .position-label,
                .position-checkbox:checked ~ .position-label {
                    background-color: $light-blue;
                    color: #fff;
                }
            }

            .custom-file-input {
                color: transparent;
                position: relative;
                max-width: 250px;
                margin: 0 auto;
                padding: 9px 8px;
                border: 2px solid $dark-gray;
                border-radius: 5px;
                outline: none;
                box-shadow: -10px 10px 20px rgba($color: #000000, $alpha: 0.2);
            }
            .custom-file-input::-webkit-file-upload-button {
                visibility: hidden;
            }
            .custom-file-input::before {
                content: 'Upload your resume';
                position: absolute;
                top: 0;
                left: 0;
                color: $dark-gray;
                display: block;
                line-height: 1.5;
                width: 100%;
                height: 100%;
                background: $light-gray;
                padding: 9px 8px;
                outline: none;
                -webkit-user-select: none;
                cursor: pointer;
                text-align: center;
                font-size: 14px;
            }
            
            .custom-file-input:active {
                outline: none;
            }


            .joinUs-submit {
                margin: 50px auto 0;
                max-width: 320px;
                border-radius: 5px;
            }
        }
    }
}

@media only screen and (max-width: 900px) {
    .joinUs{

        .joinUs-header-section{

            .joinUs-title {
                font-size: 40px;
            }
    
            .joinUs-desc {
                font-size: 14px;
                max-width: 410px;
            }
        }
    
    }
}

@media only screen and (max-width: 768px) {
    .joinUs{
        .joinUs-header-section{
            padding: 150px 5% 200px;
            text-align: center;
            position: relative;
    
            &::before {
                font-size: 12vw;
            }
    
            .joinus-backgournd {
                top: -20%;
            }
    
            .joinUs-title {
                font-size: 28px;
            }
    
            .joinUs-desc {
                font-size: 14px;
                margin-top: 40px;
            }
        }
        .joinUs-form-section {
            padding: 150px 5% 100px;
    
            .joinUs-form-box {
                width: 95%;
                margin-top: -300px;
            }
    
        }
    
    }
}

